Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network158.0.0.0/10
Usable hosts4,194,302
Subnet mask255.192.0.0
Addresses4,194,304
Network address
158.0.0.0
Broadcast address
158.63.255.255
First usable
158.0.0.1
Last usable
158.63.255.254
Usable hosts
4,194,302 (4,194,304 less the network and broadcast addresses)
Subnet mask
255.192.0.0
Wildcard mask
0.63.255.255 (Cisco ACLs, OSPF)
Prefix length
/10
Type
Public public
Old class
B (default /16)
As numbers
Hex 9E000000 · Integer 2650800128 to 2654994431
Reverse DNS zones
0.158.in-addr.arpa
1.158.in-addr.arpa
2.158.in-addr.arpa
3.158.in-addr.arpa
4.158.in-addr.arpa
5.158.in-addr.arpa
6.158.in-addr.arpa
7.158.in-addr.arpa
8.158.in-addr.arpa
9.158.in-addr.arpa
10.158.in-addr.arpa
11.158.in-addr.arpa
12.158.in-addr.arpa
13.158.in-addr.arpa
14.158.in-addr.arpa
15.158.in-addr.arpa
and 48 more
/10 is not on a 8-bit boundary, so it takes 64 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10011110.00000000.00000000.00000000158.0.0.0
Subnet mask11111111.11000000.00000000.00000000255.192.0.0
Network10011110.00000000.00000000.00000000158.0.0.0
Broadcast10011110.00111111.11111111.11111111158.63.255.255
Split into smaller subnets/18

158.0.0.0/10 makes 256 subnets of /18.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1158.0.0.0/18158.0.0.1 to 158.0.63.254158.0.63.25516,382
2158.0.64.0/18158.0.64.1 to 158.0.127.254158.0.127.25516,382
3158.0.128.0/18158.0.128.1 to 158.0.191.254158.0.191.25516,382
4158.0.192.0/18158.0.192.1 to 158.0.255.254158.0.255.25516,382
5158.1.0.0/18158.1.0.1 to 158.1.63.254158.1.63.25516,382
6158.1.64.0/18158.1.64.1 to 158.1.127.254158.1.127.25516,382
7158.1.128.0/18158.1.128.1 to 158.1.191.254158.1.191.25516,382
8158.1.192.0/18158.1.192.1 to 158.1.255.254158.1.255.25516,382
9158.2.0.0/18158.2.0.1 to 158.2.63.254158.2.63.25516,382
10158.2.64.0/18158.2.64.1 to 158.2.127.254158.2.127.25516,382
11158.2.128.0/18158.2.128.1 to 158.2.191.254158.2.191.25516,382
12158.2.192.0/18158.2.192.1 to 158.2.255.254158.2.255.25516,382
13158.3.0.0/18158.3.0.1 to 158.3.63.254158.3.63.25516,382
14158.3.64.0/18158.3.64.1 to 158.3.127.254158.3.127.25516,382
15158.3.128.0/18158.3.128.1 to 158.3.191.254158.3.191.25516,382
16158.3.192.0/18158.3.192.1 to 158.3.255.254158.3.255.25516,382
17158.4.0.0/18158.4.0.1 to 158.4.63.254158.4.63.25516,382
18158.4.64.0/18158.4.64.1 to 158.4.127.254158.4.127.25516,382
19158.4.128.0/18158.4.128.1 to 158.4.191.254158.4.191.25516,382
20158.4.192.0/18158.4.192.1 to 158.4.255.254158.4.255.25516,382
21158.5.0.0/18158.5.0.1 to 158.5.63.254158.5.63.25516,382
22158.5.64.0/18158.5.64.1 to 158.5.127.254158.5.127.25516,382
23158.5.128.0/18158.5.128.1 to 158.5.191.254158.5.191.25516,382
24158.5.192.0/18158.5.192.1 to 158.5.255.254158.5.255.25516,382
25158.6.0.0/18158.6.0.1 to 158.6.63.254158.6.63.25516,382
26158.6.64.0/18158.6.64.1 to 158.6.127.254158.6.127.25516,382
27158.6.128.0/18158.6.128.1 to 158.6.191.254158.6.191.25516,382
28158.6.192.0/18158.6.192.1 to 158.6.255.254158.6.255.25516,382
29158.7.0.0/18158.7.0.1 to 158.7.63.254158.7.63.25516,382
30158.7.64.0/18158.7.64.1 to 158.7.127.254158.7.127.25516,382
31158.7.128.0/18158.7.128.1 to 158.7.191.254158.7.191.25516,382
32158.7.192.0/18158.7.192.1 to 158.7.255.254158.7.255.25516,382
33158.8.0.0/18158.8.0.1 to 158.8.63.254158.8.63.25516,382
34158.8.64.0/18158.8.64.1 to 158.8.127.254158.8.127.25516,382
35158.8.128.0/18158.8.128.1 to 158.8.191.254158.8.191.25516,382
36158.8.192.0/18158.8.192.1 to 158.8.255.254158.8.255.25516,382
37158.9.0.0/18158.9.0.1 to 158.9.63.254158.9.63.25516,382
38158.9.64.0/18158.9.64.1 to 158.9.127.254158.9.127.25516,382
39158.9.128.0/18158.9.128.1 to 158.9.191.254158.9.191.25516,382
40158.9.192.0/18158.9.192.1 to 158.9.255.254158.9.255.25516,382
41158.10.0.0/18158.10.0.1 to 158.10.63.254158.10.63.25516,382
42158.10.64.0/18158.10.64.1 to 158.10.127.254158.10.127.25516,382
43158.10.128.0/18158.10.128.1 to 158.10.191.254158.10.191.25516,382
44158.10.192.0/18158.10.192.1 to 158.10.255.254158.10.255.25516,382
45158.11.0.0/18158.11.0.1 to 158.11.63.254158.11.63.25516,382
46158.11.64.0/18158.11.64.1 to 158.11.127.254158.11.127.25516,382
47158.11.128.0/18158.11.128.1 to 158.11.191.254158.11.191.25516,382
48158.11.192.0/18158.11.192.1 to 158.11.255.254158.11.255.25516,382
49158.12.0.0/18158.12.0.1 to 158.12.63.254158.12.63.25516,382
50158.12.64.0/18158.12.64.1 to 158.12.127.254158.12.127.25516,382
51158.12.128.0/18158.12.128.1 to 158.12.191.254158.12.191.25516,382
52158.12.192.0/18158.12.192.1 to 158.12.255.254158.12.255.25516,382
53158.13.0.0/18158.13.0.1 to 158.13.63.254158.13.63.25516,382
54158.13.64.0/18158.13.64.1 to 158.13.127.254158.13.127.25516,382
55158.13.128.0/18158.13.128.1 to 158.13.191.254158.13.191.25516,382
56158.13.192.0/18158.13.192.1 to 158.13.255.254158.13.255.25516,382
57158.14.0.0/18158.14.0.1 to 158.14.63.254158.14.63.25516,382
58158.14.64.0/18158.14.64.1 to 158.14.127.254158.14.127.25516,382
59158.14.128.0/18158.14.128.1 to 158.14.191.254158.14.191.25516,382
60158.14.192.0/18158.14.192.1 to 158.14.255.254158.14.255.25516,382
61158.15.0.0/18158.15.0.1 to 158.15.63.254158.15.63.25516,382
62158.15.64.0/18158.15.64.1 to 158.15.127.254158.15.127.25516,382
63158.15.128.0/18158.15.128.1 to 158.15.191.254158.15.191.25516,382
64158.15.192.0/18158.15.192.1 to 158.15.255.254158.15.255.25516,382
65158.16.0.0/18158.16.0.1 to 158.16.63.254158.16.63.25516,382
66158.16.64.0/18158.16.64.1 to 158.16.127.254158.16.127.25516,382
67158.16.128.0/18158.16.128.1 to 158.16.191.254158.16.191.25516,382
68158.16.192.0/18158.16.192.1 to 158.16.255.254158.16.255.25516,382
69158.17.0.0/18158.17.0.1 to 158.17.63.254158.17.63.25516,382
70158.17.64.0/18158.17.64.1 to 158.17.127.254158.17.127.25516,382
71158.17.128.0/18158.17.128.1 to 158.17.191.254158.17.191.25516,382
72158.17.192.0/18158.17.192.1 to 158.17.255.254158.17.255.25516,382
73158.18.0.0/18158.18.0.1 to 158.18.63.254158.18.63.25516,382
74158.18.64.0/18158.18.64.1 to 158.18.127.254158.18.127.25516,382
75158.18.128.0/18158.18.128.1 to 158.18.191.254158.18.191.25516,382
76158.18.192.0/18158.18.192.1 to 158.18.255.254158.18.255.25516,382
77158.19.0.0/18158.19.0.1 to 158.19.63.254158.19.63.25516,382
78158.19.64.0/18158.19.64.1 to 158.19.127.254158.19.127.25516,382
79158.19.128.0/18158.19.128.1 to 158.19.191.254158.19.191.25516,382
80158.19.192.0/18158.19.192.1 to 158.19.255.254158.19.255.25516,382
81158.20.0.0/18158.20.0.1 to 158.20.63.254158.20.63.25516,382
82158.20.64.0/18158.20.64.1 to 158.20.127.254158.20.127.25516,382
83158.20.128.0/18158.20.128.1 to 158.20.191.254158.20.191.25516,382
84158.20.192.0/18158.20.192.1 to 158.20.255.254158.20.255.25516,382
85158.21.0.0/18158.21.0.1 to 158.21.63.254158.21.63.25516,382
86158.21.64.0/18158.21.64.1 to 158.21.127.254158.21.127.25516,382
87158.21.128.0/18158.21.128.1 to 158.21.191.254158.21.191.25516,382
88158.21.192.0/18158.21.192.1 to 158.21.255.254158.21.255.25516,382
89158.22.0.0/18158.22.0.1 to 158.22.63.254158.22.63.25516,382
90158.22.64.0/18158.22.64.1 to 158.22.127.254158.22.127.25516,382
91158.22.128.0/18158.22.128.1 to 158.22.191.254158.22.191.25516,382
92158.22.192.0/18158.22.192.1 to 158.22.255.254158.22.255.25516,382
93158.23.0.0/18158.23.0.1 to 158.23.63.254158.23.63.25516,382
94158.23.64.0/18158.23.64.1 to 158.23.127.254158.23.127.25516,382
95158.23.128.0/18158.23.128.1 to 158.23.191.254158.23.191.25516,382
96158.23.192.0/18158.23.192.1 to 158.23.255.254158.23.255.25516,382
97158.24.0.0/18158.24.0.1 to 158.24.63.254158.24.63.25516,382
98158.24.64.0/18158.24.64.1 to 158.24.127.254158.24.127.25516,382
99158.24.128.0/18158.24.128.1 to 158.24.191.254158.24.191.25516,382
100158.24.192.0/18158.24.192.1 to 158.24.255.254158.24.255.25516,382
101158.25.0.0/18158.25.0.1 to 158.25.63.254158.25.63.25516,382
102158.25.64.0/18158.25.64.1 to 158.25.127.254158.25.127.25516,382
103158.25.128.0/18158.25.128.1 to 158.25.191.254158.25.191.25516,382
104158.25.192.0/18158.25.192.1 to 158.25.255.254158.25.255.25516,382
105158.26.0.0/18158.26.0.1 to 158.26.63.254158.26.63.25516,382
106158.26.64.0/18158.26.64.1 to 158.26.127.254158.26.127.25516,382
107158.26.128.0/18158.26.128.1 to 158.26.191.254158.26.191.25516,382
108158.26.192.0/18158.26.192.1 to 158.26.255.254158.26.255.25516,382
109158.27.0.0/18158.27.0.1 to 158.27.63.254158.27.63.25516,382
110158.27.64.0/18158.27.64.1 to 158.27.127.254158.27.127.25516,382
111158.27.128.0/18158.27.128.1 to 158.27.191.254158.27.191.25516,382
112158.27.192.0/18158.27.192.1 to 158.27.255.254158.27.255.25516,382
113158.28.0.0/18158.28.0.1 to 158.28.63.254158.28.63.25516,382
114158.28.64.0/18158.28.64.1 to 158.28.127.254158.28.127.25516,382
115158.28.128.0/18158.28.128.1 to 158.28.191.254158.28.191.25516,382
116158.28.192.0/18158.28.192.1 to 158.28.255.254158.28.255.25516,382
117158.29.0.0/18158.29.0.1 to 158.29.63.254158.29.63.25516,382
118158.29.64.0/18158.29.64.1 to 158.29.127.254158.29.127.25516,382
119158.29.128.0/18158.29.128.1 to 158.29.191.254158.29.191.25516,382
120158.29.192.0/18158.29.192.1 to 158.29.255.254158.29.255.25516,382
121158.30.0.0/18158.30.0.1 to 158.30.63.254158.30.63.25516,382
122158.30.64.0/18158.30.64.1 to 158.30.127.254158.30.127.25516,382
123158.30.128.0/18158.30.128.1 to 158.30.191.254158.30.191.25516,382
124158.30.192.0/18158.30.192.1 to 158.30.255.254158.30.255.25516,382
125158.31.0.0/18158.31.0.1 to 158.31.63.254158.31.63.25516,382
126158.31.64.0/18158.31.64.1 to 158.31.127.254158.31.127.25516,382
127158.31.128.0/18158.31.128.1 to 158.31.191.254158.31.191.25516,382
128158.31.192.0/18158.31.192.1 to 158.31.255.254158.31.255.25516,382
129158.32.0.0/18158.32.0.1 to 158.32.63.254158.32.63.25516,382
130158.32.64.0/18158.32.64.1 to 158.32.127.254158.32.127.25516,382
131158.32.128.0/18158.32.128.1 to 158.32.191.254158.32.191.25516,382
132158.32.192.0/18158.32.192.1 to 158.32.255.254158.32.255.25516,382
133158.33.0.0/18158.33.0.1 to 158.33.63.254158.33.63.25516,382
134158.33.64.0/18158.33.64.1 to 158.33.127.254158.33.127.25516,382
135158.33.128.0/18158.33.128.1 to 158.33.191.254158.33.191.25516,382
136158.33.192.0/18158.33.192.1 to 158.33.255.254158.33.255.25516,382
137158.34.0.0/18158.34.0.1 to 158.34.63.254158.34.63.25516,382
138158.34.64.0/18158.34.64.1 to 158.34.127.254158.34.127.25516,382
139158.34.128.0/18158.34.128.1 to 158.34.191.254158.34.191.25516,382
140158.34.192.0/18158.34.192.1 to 158.34.255.254158.34.255.25516,382
141158.35.0.0/18158.35.0.1 to 158.35.63.254158.35.63.25516,382
142158.35.64.0/18158.35.64.1 to 158.35.127.254158.35.127.25516,382
143158.35.128.0/18158.35.128.1 to 158.35.191.254158.35.191.25516,382
144158.35.192.0/18158.35.192.1 to 158.35.255.254158.35.255.25516,382
145158.36.0.0/18158.36.0.1 to 158.36.63.254158.36.63.25516,382
146158.36.64.0/18158.36.64.1 to 158.36.127.254158.36.127.25516,382
147158.36.128.0/18158.36.128.1 to 158.36.191.254158.36.191.25516,382
148158.36.192.0/18158.36.192.1 to 158.36.255.254158.36.255.25516,382
149158.37.0.0/18158.37.0.1 to 158.37.63.254158.37.63.25516,382
150158.37.64.0/18158.37.64.1 to 158.37.127.254158.37.127.25516,382
151158.37.128.0/18158.37.128.1 to 158.37.191.254158.37.191.25516,382
152158.37.192.0/18158.37.192.1 to 158.37.255.254158.37.255.25516,382
153158.38.0.0/18158.38.0.1 to 158.38.63.254158.38.63.25516,382
154158.38.64.0/18158.38.64.1 to 158.38.127.254158.38.127.25516,382
155158.38.128.0/18158.38.128.1 to 158.38.191.254158.38.191.25516,382
156158.38.192.0/18158.38.192.1 to 158.38.255.254158.38.255.25516,382
157158.39.0.0/18158.39.0.1 to 158.39.63.254158.39.63.25516,382
158158.39.64.0/18158.39.64.1 to 158.39.127.254158.39.127.25516,382
159158.39.128.0/18158.39.128.1 to 158.39.191.254158.39.191.25516,382
160158.39.192.0/18158.39.192.1 to 158.39.255.254158.39.255.25516,382
161158.40.0.0/18158.40.0.1 to 158.40.63.254158.40.63.25516,382
162158.40.64.0/18158.40.64.1 to 158.40.127.254158.40.127.25516,382
163158.40.128.0/18158.40.128.1 to 158.40.191.254158.40.191.25516,382
164158.40.192.0/18158.40.192.1 to 158.40.255.254158.40.255.25516,382
165158.41.0.0/18158.41.0.1 to 158.41.63.254158.41.63.25516,382
166158.41.64.0/18158.41.64.1 to 158.41.127.254158.41.127.25516,382
167158.41.128.0/18158.41.128.1 to 158.41.191.254158.41.191.25516,382
168158.41.192.0/18158.41.192.1 to 158.41.255.254158.41.255.25516,382
169158.42.0.0/18158.42.0.1 to 158.42.63.254158.42.63.25516,382
170158.42.64.0/18158.42.64.1 to 158.42.127.254158.42.127.25516,382
171158.42.128.0/18158.42.128.1 to 158.42.191.254158.42.191.25516,382
172158.42.192.0/18158.42.192.1 to 158.42.255.254158.42.255.25516,382
173158.43.0.0/18158.43.0.1 to 158.43.63.254158.43.63.25516,382
174158.43.64.0/18158.43.64.1 to 158.43.127.254158.43.127.25516,382
175158.43.128.0/18158.43.128.1 to 158.43.191.254158.43.191.25516,382
176158.43.192.0/18158.43.192.1 to 158.43.255.254158.43.255.25516,382
177158.44.0.0/18158.44.0.1 to 158.44.63.254158.44.63.25516,382
178158.44.64.0/18158.44.64.1 to 158.44.127.254158.44.127.25516,382
179158.44.128.0/18158.44.128.1 to 158.44.191.254158.44.191.25516,382
180158.44.192.0/18158.44.192.1 to 158.44.255.254158.44.255.25516,382
181158.45.0.0/18158.45.0.1 to 158.45.63.254158.45.63.25516,382
182158.45.64.0/18158.45.64.1 to 158.45.127.254158.45.127.25516,382
183158.45.128.0/18158.45.128.1 to 158.45.191.254158.45.191.25516,382
184158.45.192.0/18158.45.192.1 to 158.45.255.254158.45.255.25516,382
185158.46.0.0/18158.46.0.1 to 158.46.63.254158.46.63.25516,382
186158.46.64.0/18158.46.64.1 to 158.46.127.254158.46.127.25516,382
187158.46.128.0/18158.46.128.1 to 158.46.191.254158.46.191.25516,382
188158.46.192.0/18158.46.192.1 to 158.46.255.254158.46.255.25516,382
189158.47.0.0/18158.47.0.1 to 158.47.63.254158.47.63.25516,382
190158.47.64.0/18158.47.64.1 to 158.47.127.254158.47.127.25516,382
191158.47.128.0/18158.47.128.1 to 158.47.191.254158.47.191.25516,382
192158.47.192.0/18158.47.192.1 to 158.47.255.254158.47.255.25516,382
193158.48.0.0/18158.48.0.1 to 158.48.63.254158.48.63.25516,382
194158.48.64.0/18158.48.64.1 to 158.48.127.254158.48.127.25516,382
195158.48.128.0/18158.48.128.1 to 158.48.191.254158.48.191.25516,382
196158.48.192.0/18158.48.192.1 to 158.48.255.254158.48.255.25516,382
197158.49.0.0/18158.49.0.1 to 158.49.63.254158.49.63.25516,382
198158.49.64.0/18158.49.64.1 to 158.49.127.254158.49.127.25516,382
199158.49.128.0/18158.49.128.1 to 158.49.191.254158.49.191.25516,382
200158.49.192.0/18158.49.192.1 to 158.49.255.254158.49.255.25516,382
201158.50.0.0/18158.50.0.1 to 158.50.63.254158.50.63.25516,382
202158.50.64.0/18158.50.64.1 to 158.50.127.254158.50.127.25516,382
203158.50.128.0/18158.50.128.1 to 158.50.191.254158.50.191.25516,382
204158.50.192.0/18158.50.192.1 to 158.50.255.254158.50.255.25516,382
205158.51.0.0/18158.51.0.1 to 158.51.63.254158.51.63.25516,382
206158.51.64.0/18158.51.64.1 to 158.51.127.254158.51.127.25516,382
207158.51.128.0/18158.51.128.1 to 158.51.191.254158.51.191.25516,382
208158.51.192.0/18158.51.192.1 to 158.51.255.254158.51.255.25516,382
209158.52.0.0/18158.52.0.1 to 158.52.63.254158.52.63.25516,382
210158.52.64.0/18158.52.64.1 to 158.52.127.254158.52.127.25516,382
211158.52.128.0/18158.52.128.1 to 158.52.191.254158.52.191.25516,382
212158.52.192.0/18158.52.192.1 to 158.52.255.254158.52.255.25516,382
213158.53.0.0/18158.53.0.1 to 158.53.63.254158.53.63.25516,382
214158.53.64.0/18158.53.64.1 to 158.53.127.254158.53.127.25516,382
215158.53.128.0/18158.53.128.1 to 158.53.191.254158.53.191.25516,382
216158.53.192.0/18158.53.192.1 to 158.53.255.254158.53.255.25516,382
217158.54.0.0/18158.54.0.1 to 158.54.63.254158.54.63.25516,382
218158.54.64.0/18158.54.64.1 to 158.54.127.254158.54.127.25516,382
219158.54.128.0/18158.54.128.1 to 158.54.191.254158.54.191.25516,382
220158.54.192.0/18158.54.192.1 to 158.54.255.254158.54.255.25516,382
221158.55.0.0/18158.55.0.1 to 158.55.63.254158.55.63.25516,382
222158.55.64.0/18158.55.64.1 to 158.55.127.254158.55.127.25516,382
223158.55.128.0/18158.55.128.1 to 158.55.191.254158.55.191.25516,382
224158.55.192.0/18158.55.192.1 to 158.55.255.254158.55.255.25516,382
225158.56.0.0/18158.56.0.1 to 158.56.63.254158.56.63.25516,382
226158.56.64.0/18158.56.64.1 to 158.56.127.254158.56.127.25516,382
227158.56.128.0/18158.56.128.1 to 158.56.191.254158.56.191.25516,382
228158.56.192.0/18158.56.192.1 to 158.56.255.254158.56.255.25516,382
229158.57.0.0/18158.57.0.1 to 158.57.63.254158.57.63.25516,382
230158.57.64.0/18158.57.64.1 to 158.57.127.254158.57.127.25516,382
231158.57.128.0/18158.57.128.1 to 158.57.191.254158.57.191.25516,382
232158.57.192.0/18158.57.192.1 to 158.57.255.254158.57.255.25516,382
233158.58.0.0/18158.58.0.1 to 158.58.63.254158.58.63.25516,382
234158.58.64.0/18158.58.64.1 to 158.58.127.254158.58.127.25516,382
235158.58.128.0/18158.58.128.1 to 158.58.191.254158.58.191.25516,382
236158.58.192.0/18158.58.192.1 to 158.58.255.254158.58.255.25516,382
237158.59.0.0/18158.59.0.1 to 158.59.63.254158.59.63.25516,382
238158.59.64.0/18158.59.64.1 to 158.59.127.254158.59.127.25516,382
239158.59.128.0/18158.59.128.1 to 158.59.191.254158.59.191.25516,382
240158.59.192.0/18158.59.192.1 to 158.59.255.254158.59.255.25516,382
241158.60.0.0/18158.60.0.1 to 158.60.63.254158.60.63.25516,382
242158.60.64.0/18158.60.64.1 to 158.60.127.254158.60.127.25516,382
243158.60.128.0/18158.60.128.1 to 158.60.191.254158.60.191.25516,382
244158.60.192.0/18158.60.192.1 to 158.60.255.254158.60.255.25516,382
245158.61.0.0/18158.61.0.1 to 158.61.63.254158.61.63.25516,382
246158.61.64.0/18158.61.64.1 to 158.61.127.254158.61.127.25516,382
247158.61.128.0/18158.61.128.1 to 158.61.191.254158.61.191.25516,382
248158.61.192.0/18158.61.192.1 to 158.61.255.254158.61.255.25516,382
249158.62.0.0/18158.62.0.1 to 158.62.63.254158.62.63.25516,382
250158.62.64.0/18158.62.64.1 to 158.62.127.254158.62.127.25516,382
251158.62.128.0/18158.62.128.1 to 158.62.191.254158.62.191.25516,382
252158.62.192.0/18158.62.192.1 to 158.62.255.254158.62.255.25516,382
253158.63.0.0/18158.63.0.1 to 158.63.63.254158.63.63.25516,382
254158.63.64.0/18158.63.64.1 to 158.63.127.254158.63.127.25516,382
255158.63.128.0/18158.63.128.1 to 158.63.191.254158.63.191.25516,382
256158.63.192.0/18158.63.192.1 to 158.63.255.254158.63.255.25516,382

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses